import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A cloud that moves back and forth between two defined points.
 */
public class enemy2waage extends Actor
{
    private int speed = 4;
    private int leftTurn = 432;
    private int rightTurn = 550;

    /**
     * Move in the direction we are currently moving in. Turn if we reach a turning point.
     */
    public void act() 
    {
        setLocation ( getX() + speed, getY() );
        
        Actor actor = getOneIntersectingObject(null);
        if(actor != null) {
            actor.setLocation ( actor.getX() + speed, actor.getY() );
        }
        
        if (atTurningPoint()) {
            speed = -speed;
        }
   
      if(canSee(myhero.class))
        {
            eat(myhero.class);
            GameOver();
             gameEnd();
        }
        
         if(canSee(my2hero.class))
        {
            eat(myhero.class); 
            GameOver();
             gameEnd();
                    } 
                    
                    if(canSee(my3hero.class))
        {
            eat(my3hero.class); 
            GameOver();
             gameEnd();
                    }
                    if(canSee(my4hero.class))
        {
            eat(my4hero.class); 
            GameOver();
             gameEnd();
                    }
    }
    
    /**
     * Test if we are at one of the turning points.
     */
    public boolean atTurningPoint()
    {
        return (getX() <= leftTurn || getX() >= rightTurn);
    }
    
    public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;        
    }

   
    public void eat(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        if(actor != null) {
            getWorld().removeObject(actor);
        }
    }
     public void GameOver()
    {
       
       GreenfootImage image = new GreenfootImage(600,400);
           setImage("gameover.jpg");
        
    }
     private void gameEnd()
    {
        Greenfoot.stop();
    }
}